# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "spherical-cow"
version = "0.1.4"
authors = ["Tim DuBois <tim@neophilus.net>"]
exclude = ["benches/*", "examples/*", "tests/*"]
description = "Spherical Cow: High volume fraction sphere packing in arbitrary geometries"
readme = "./README.md"
keywords = ["sphere", "packing", "spherepacking", "geometry", "obj"]
license = "MIT/Apache-2.0"
repository = "https://github.com/Libbum/spherical-cow"
[package.metadata.docs.rs]
features = ["serde-1"]

[[example]]
name = "serialize"
path = "examples/serialize.rs"
required-features = ["serde-1"]

[[example]]
name = "count_sphere_normal"
path = "examples/count_sphere_normal.rs"

[[example]]
name = "count_sphere_range"
path = "examples/count_sphere_range.rs"

[[example]]
name = "show_in_cow"
path = "examples/show_in_cow.rs"

[[example]]
name = "show_in_cuboid"
path = "examples/show_in_cuboid.rs"

[[example]]
name = "show_in_emerald"
path = "examples/show_in_emerald.rs"

[[example]]
name = "show_in_sphere"
path = "examples/show_in_sphere.rs"

[[example]]
name = "statistics_emerald"
path = "examples/statistics_emerald.rs"

[[example]]
name = "statistics_sphere"
path = "examples/statistics_sphere.rs"

[[bench]]
name = "sphere_pack"
path = "benches/sphere_pack.rs"
harness = false
[dependencies.float-cmp]
version = "0.8"

[dependencies.itertools]
version = "0.10"

[dependencies.nalgebra]
version = "0.24"

[dependencies.rand]
version = "0.8"

[dependencies.rand_distr]
version = "0.4"

[dependencies.serde]
version = "1.0"
optional = true
[dev-dependencies.criterion]
version = "0.3"

[dev-dependencies.kiss3d]
version = "0.29"

[dev-dependencies.obj]
version = "0.10"

[dev-dependencies.serde_json]
version = "1.0"

[features]
default = []
serde-1 = ["serde", "nalgebra/serde-serialize"]
[badges.codecov]
branch = "master"
repository = "Libbum/spherical-cow"
service = "github"

[badges.travis-ci]
branch = "master"
repository = "Libbum/spherical-cow"
